=== debian/changelog ===
caffe (1.0.0-6) unstable; urgency=medium

  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.3 (no change).
  * Vcs-* fields point to Salsa.
  * Don't hardcode python3.5 in the patch.
  * Fix insecure-copyright-format-uri.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 27 Jan 2018 04:37:42 +0000

caffe (1.0.0-5) unstable; urgency=medium

  * Apply updates from upstream master branch.
    - Remove merged patch cmake-change-static-lib-name.patch.
  * Bump Standards-Version to 4.1.2 (no change).
  * Update description of caffe-doc.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 19 Dec 2017 02:35:35 +0000

caffe (1.0.0-4) unstable; urgency=medium

  * Update my name in control and copyright.
  * Bump Standards-Version to 4.1.1 . No change needed.
  * Use dh_missing --list-missing instead of dh_install --list-missing .
  * Remove the dirty hacks in the doc build.
  * Add several libjs* dependencies for the doc package.
  * Don't build binaries in indep-only build mode.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 18 Dec 2017 11:51:53 +0000

caffe (1.0.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Set Multi-Arch of the dev package to same.
  * Bump Standards Version to 4.0.0 (No change needed).

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 23 Jun 2017 01:39:36 +0000

caffe (1.0.0-2) experimental; urgency=medium

  * Rename static library libproto.a -> libcaffeproto.a and add it back
    to the -dev package. (Closes: #862528)

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 15 May 2017 02:08:06 +0000

caffe (1.0.0-1) experimental; urgency=medium

  * New upstream release. The first upstream stable release.
    The version number is imported as 1.0.0 instead of 1.0 (upstream)
    for correct dpkg version comparison.
  * Patchset update:
    - Remove merged patch make-using-gnuinstalldirs .
    - Remove merged patch fix-more-float-comparison-precision-issue .
    - Drop patch post_rc5_upstream_updates.patch .
  * Rules: update CAFFE_SOVER and get-orig-source accordingly.
  * Control:
    + Add missing dependency: python3-pydotplus .
    + Update package description: upstream lab renamed from BVLC to BAIR.

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 17 Apr 2017 02:52:44 +0000

caffe (1.0.0~rc5-1) experimental; urgency=medium

  * New upstream RC release.
  * Update CAFFE_SOVER and get-orig-source target in rules.
  * Update patches:
    - Remove cmake-avoid-argument-missing, cmake-bump-soversion-to-rc4.patch .
    - Refresh the other patches.
    - Cherry-pick upstream updates to rc5: post_rc5_upstream_updates.patch .

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 15 Mar 2017 08:10:16 +0000
