## caffe 1.0.0%2Bgit20180821.99bd997

=== debian/control ===
Source: caffe
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends-Indep: doxygen,
                     doxygen-latex
Build-Depends: bc,
               cmake,
               bash-completion,
               debhelper-compat (= 13),
               dh-python,
# libboost-all-dev (>= 1.55) - we merely pull partial boost stack, the really needed part.
               libboost-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libboost-python-dev,
               libgflags-dev,
               libgoogle-glog-dev,
               libhdf5-dev,
               libleveldb-dev,
               liblmdb-dev,
# switch libblas.so.3 between Atlas and OpenBLAS with update-alternatives
               libblas-dev | libblas.so,
               libopencv-dev (>= 2.4) [!m68k !powerpc !sh4 !sparc64 !x32],
               libprotobuf-dev,
               libprotoc-dev,
               libsnappy-dev,
               protobuf-compiler,
# python3 depssome of them are not B-D but we need them as runtime-deps to pass the testsuite
               python3-dev,
               python3-numpy,
               cython3,
               ipython3,
               python3,
               python3-distutils,
               python3-skimage,
               python3-protobuf,
               python3-dateutil,
               python3-gflags,
               python3-h5py,
               python3-matplotlib,
               python3-networkx,
               python3-nose,
#              python3-opencv, # this is recommended if available but it doesn't block
               python3-pandas,
               python3-pil,
               python3-pydotplus,
               python3-scipy,
               python3-six,
               python3-yaml,
Standards-Version: 4.5.0
Homepage: http://caffe.berkeleyvision.org
Vcs-Browser: https://salsa.debian.org/science-team/caffe
Vcs-Git: https://salsa.debian.org/science-team/caffe.git

Package: caffe
Architecture: any
Multi-Arch: foreign
Depends: libcaffe1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: caffe-tools-cuda
Breaks: caffe-cpu, caffe-tools-cpu
Replaces: caffe-cpu, caffe-tools-cpu
Description: Tools for fast, open framework for Deep Learning (CPU_ONLY)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley AI Research
 Lab (BAIR) and community contributors.
 .
 It contains caffe executables, configured as CPU_ONLY.
 .
 Issue this command at the root of caffe source tree for a unit test:
   $ caffe-gtest --gtest_shuffle --gtest_filter="-*GPU*"

Package: libcaffe1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3,
Conflicts: libcaffe-cuda1
Breaks: libcaffe-cpu1
Replaces: libcaffe-cpu1
Description: library of Caffe, deep learning framework (CPU_ONLY)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley AI Research
 Lab (BAIR) and community contributors.
 .
 It contains caffe shared library, configured as CPU_ONLY.

Package: libcaffe-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Conflicts: libcaffe-cuda-dev
Depends: libcaffe1 (= ${binary:Version}), ${misc:Depends}
Suggests: caffe-doc
Breaks: libcaffe-cpu-dev
Replaces: libcaffe-cpu-dev
Description: development files for Caffe (CPU_ONLY)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley AI Research
 Lab (BAIR) and community contributors.
 .
 It contains development files of caffe.

Package: python3-caffe
Section: python
Architecture: any
Multi-Arch: foreign
Depends: libcaffe1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Conflicts: python3-caffe-cuda
Breaks: python3-caffe-cpu
Replaces: python3-caffe-cpu
Description: Python3 interface of Caffe (CPU_ONLY)
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley AI Research
 Lab (BAIR) and community contributors.
 .
 It contains python3 interface of caffe, configured as CPU_ONLY.

Package: caffe-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libjs-mathjax,
         libjs-jquery,
         libjs-bootstrap,
Description: Caffe's doxygen docs and examples
 Caffe is a deep learning framework made with expression, speed,
 and modularity in mind. It is developed by the Berkeley AI Research
 Lab (BAIR) and community contributors.
 .
 This package contains doxygen documents (both HTML version and
 PDF version) and some other documents and examples.
 .
 The HTML doc can be found here: /usr/share/doc/caffe-doc/html/index.html
 The PDF doc can be found here: /usr/share/doc/caffe-doc/refman.pdf.gz
