=== debian/changelog ===
caffe (1.0.0+git20180821.99bd997-5build3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:00:29 +0000

caffe (1.0.0+git20180821.99bd997-5build2) focal; urgency=medium

  * No-change upload for opencv soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 09:17:04 +0100

caffe (1.0.0+git20180821.99bd997-5build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:19:14 +0000

caffe (1.0.0+git20180821.99bd997-5) unstable; urgency=medium

  * Remove the deprecated python3-leveldb from B-D. (Closes: #947497)
  * Remove leveldb from python requirements: pyrequire-no-leveldb.patch

 -- Mo Zhou <lumin@debian.org>  Sat, 11 Jan 2020 15:48:56 +0800

caffe (1.0.0+git20180821.99bd997-4) unstable; urgency=medium

  * Remove git from B-D to unblock build on hppa,hurd-i386,ia64
  * Disable OpenCV B-D on m68k,powerpc,sh4,sparc64,x32

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 29 Oct 2019 11:27:48 +0800

caffe (1.0.0+git20180821.99bd997-3) unstable; urgency=medium

  * Cherry-pick PR#6693 to fix FTBFS against OpenCV4. (Closes: #922569)
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.4.0 (no change).
  * Add not-installed to silent dh-missing.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 17 Oct 2019 12:35:06 +0800

caffe (1.0.0+git20180821.99bd997-2) unstable; urgency=medium

  * Ignore precision issue on mips* machines which may lack an FPU.
    (Closes: #915108)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 06 Dec 2018 04:24:33 +0000

caffe (1.0.0+git20180821.99bd997-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 1.0.0+git20180821.99bd997
  * libcaffe.so Depends on OpenBLAS or Atlas or MKL. (Closes: #898941)
  * Package caffe-cpu doesn't need to Depend on libopenblas-base or alike.
  * Bump Standards-Version to 4.2.0 (no change).

  [ Dimitri John Ledkov ]
  * Fix finding the right boost-python. (1.0.0-8ubuntu1) (Closes: #914067)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 25 Nov 2018 02:36:07 +0000

caffe (1.0.0-8) unstable; urgency=medium

  * Fix FTBFS on Arch=all due to installing a file that is not built.
    (Closes: #899133)
  * Add upstream unittest to autopkgtest control file.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 20 May 2018 07:08:19 +0000

caffe (1.0.0-7) unstable; urgency=medium

  * Install upstream unittests as a part of the tools package.
  * Build-Depend on python3-distutils (See: #894203)
  * Strip unneeded --parallel option from rules, because compat=11 .
  * Bump X-Python-Version to 3.5 .
  * Bump Standards-Version to 4.1.4 (no change).
  * Update watch file to version=4 .

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 19 May 2018 13:47:43 +0000
