=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: caffe
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends-Indep: doxygen,
                      doxygen-latex
 Build-Depends: bc,
                cmake,
                bash-completion,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
                dh-python,
 # libboost-all-dev (>= 1.55) - we merely pull partial boost stack, the really needed part.
                libboost-dev,
@@ -50,18 +51,41 @@
                python3-scipy,
                python3-six,
                python3-yaml,
-Standards-Version: 4.5.0
+Standards-Version: 4.4.0
 Homepage: http://caffe.berkeleyvision.org
 Vcs-Browser: https://salsa.debian.org/science-team/caffe
 Vcs-Git: https://salsa.debian.org/science-team/caffe.git
 
-Package: caffe
+Package: caffe-cpu
+Section: metapackages
+Architecture: any
+Depends: caffe-tools-cpu   (= ${binary:Version}),
+         python3-caffe-cpu (= ${binary:Version}),
+         libcaffe-cpu1     (= ${binary:Version}),
+         ${misc:Depends},
+Suggests: libcaffe-cpu-dev (= ${binary:Version}),
+          caffe-doc        (= ${binary:Version}),
+Conflicts: caffe-cuda
+Description: Fast, open framework for Deep Learning (Meta)
+ Caffe is a deep learning framework made with expression, speed,
+ and modularity in mind. It is developed by the Berkeley AI Research
+ Lab (BAIR) and community contributors.
+ .
+ This metapackage pulls CPU_ONLY version of caffe:
+  * caffe-tools-cpu
+  * libcaffe-cpu*
+  * python3-caffe-cpu
+ And suggests these packages:
+  * libcaffe-cpu-dev
+  * caffe-doc
+ .
+ Note, this CPU_ONLY version cannot co-exist with the CUDA version.
+
+Package: caffe-tools-cpu
 Architecture: any
 Multi-Arch: foreign
-Depends: libcaffe1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libcaffe-cpu1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: caffe-tools-cuda
-Breaks: caffe-cpu, caffe-tools-cpu
-Replaces: caffe-cpu, caffe-tools-cpu
 Description: Tools for fast, open framework for Deep Learning (CPU_ONLY)
  Caffe is a deep learning framework made with expression, speed,
  and modularity in mind. It is developed by the Berkeley AI Research
@@ -72,15 +96,13 @@
  Issue this command at the root of caffe source tree for a unit test:
    $ caffe-gtest --gtest_shuffle --gtest_filter="-*GPU*"
 
-Package: libcaffe1
+Package: libcaffe-cpu1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
  libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3,
 Conflicts: libcaffe-cuda1
-Breaks: libcaffe-cpu1
-Replaces: libcaffe-cpu1
 Description: library of Caffe, deep learning framework (CPU_ONLY)
  Caffe is a deep learning framework made with expression, speed,
  and modularity in mind. It is developed by the Berkeley AI Research
@@ -88,15 +110,13 @@
  .
  It contains caffe shared library, configured as CPU_ONLY.
 
-Package: libcaffe-dev
+Package: libcaffe-cpu-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Conflicts: libcaffe-cuda-dev
-Depends: libcaffe1 (= ${binary:Version}), ${misc:Depends}
+Depends: libcaffe-cpu1 (= ${binary:Version}), ${misc:Depends}
 Suggests: caffe-doc
-Breaks: libcaffe-cpu-dev
-Replaces: libcaffe-cpu-dev
 Description: development files for Caffe (CPU_ONLY)
  Caffe is a deep learning framework made with expression, speed,
  and modularity in mind. It is developed by the Berkeley AI Research
@@ -104,17 +124,15 @@
  .
  It contains development files of caffe.
 
-Package: python3-caffe
+Package: python3-caffe-cpu
 Section: python
 Architecture: any
 Multi-Arch: foreign
-Depends: libcaffe1 (= ${binary:Version}),
+Depends: libcaffe-cpu1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends},
 Conflicts: python3-caffe-cuda
-Breaks: python3-caffe-cpu
-Replaces: python3-caffe-cpu
 Description: Python3 interface of Caffe (CPU_ONLY)
  Caffe is a deep learning framework made with expression, speed,
  and modularity in mind. It is developed by the Berkeley AI Research
