=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,17 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 RULES         := debian/rules
-ORIG_SOURCE   := "https://github.com/BVLC/caffe/archive/1.0.tar.gz"
 CAFFE_SOVER   := 1.0.0
 BUILDDIR      := "caffe_cpu_build"
 
 TEMPLATES     := $(wildcard debian/*.in)
 AUTOGEN       := $(patsubst %.in,%,$(TEMPLATES))
+
+# arch-dependent cmake flags
+ARCHS_NO_OPENCV := m68k sparc64 sh4 x32 powerpc
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(ARCHS_NO_OPENCV)))
+ADCF = -DUSE_OPENCV=OFF
+endif
 
 ## CMake Configuration Template.
 ## * PLEASE sync this common template with caffe-contrib source.
@@ -38,15 +43,16 @@
 	-DUSE_LMDB=ON \
 	-DUSE_OPENCV=ON \
 	-DCPU_ONLY=$(FILL_THIS_BLANK) \
-	-DCMAKE_INSTALL_PREFIX="/usr"
-# These flags are for cuda version but please keep them
+	-DCMAKE_INSTALL_PREFIX="/usr" 
+
+# These flags are for the cuda version but please keep them
 #	-DCUDA_ARCH_NAME="All"
 #	-DCMAKE_CXX_COMPILER=g++-5
 #	-DCMAKE_C_COMPILER=gcc-5
 
 CONFFLAG_CPU = \
 	$(CMAKE_CONFIGURE_TEMPLATE) \
-	-DCPU_ONLY=ON
+	-DCPU_ONLY=ON $(ADCF)
 
 %:: %.in
 	perl -p \
@@ -56,10 +62,7 @@
 	< $< > $@
 
 %:
-	dh $@ \
-		--parallel \
-		--buildsystem=cmake \
-		--with python3,bash-completion
+	dh $@ -Scmake --with python3,bash-completion
 
 override_dh_auto_configure: $(AUTOGEN)
 	dh_auto_configure --builddirectory=$(BUILDDIR) \
@@ -87,8 +90,14 @@
 # In the test phase, we need to set LD_LIBRARY_PATH properly
 # for those test ELFs linked with libcaffe.so.X
 override_dh_auto_test-arch:
+ifeq (,$(filter mips, $(DEB_HOST_ARCH)))
 	dh_auto_test --builddirectory=$(BUILDDIR) \
 		-- runtest pytest LD_LIBRARY_PATH=$(shell pwd)/$(BUILDDIR)/lib/
+else
+	# Ignore precision problems in mips*
+	-dh_auto_test --builddirectory=$(BUILDDIR) \
+		-- runtest pytest LD_LIBRARY_PATH=$(shell pwd)/$(BUILDDIR)/lib/
+endif
 override_dh_auto_test-indep:
 
 override_dh_python3:
@@ -97,6 +106,10 @@
 
 override_dh_install:
 	dh_install
+	# The upstream unittest can be used to verify the BLAS correctness.
+	# the two lines start with dash in order to avoid FTBFS on Arch=all.
+	-mv caffe_cpu_build/test/test.testbin  caffe-gtest
+	-install -m0755 caffe-gtest debian/caffe-tools-cpu/usr/bin/
 	dh_missing --list-missing
 
 override_dh_auto_install-arch:
@@ -111,6 +124,3 @@
 	dh_fixperms
 	chmod -x debian/tmp/usr/lib/python3/dist-packages/caffe/proto/caffe_pb2.py
 	chmod -x debian/tmp/usr/lib/python3/dist-packages/caffe/proto/__init__.py
-
-get-orig-source:
-	wget -c $(ORIG_SOURCE) -O caffe_1.0.0.orig.tar.gz
