=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%caffe-$1.tar.gz%" \
    https://github.com/bvlc/caffe/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
